Skip to Content
SeyloDocs
API referenceUptime checks

List uptime checks

GET
/api/v1/uptime.list

Lists uptime checks with their current status and 24-hour uptime. With serviceId, only that service's checks; without, every check the caller can see.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId?string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
checks*array<>
Example Request
curl -X GET 'https://example.com/api/v1/uptime.list'
Example Response
{  "checks": [    {      "id": "string",      "serviceId": "string",      "projectId": "string",      "name": "string",      "url": "string",      "method": "GET",      "expectedStatus": 0,      "intervalSeconds": 30,      "timeoutMs": 1000,      "failureThreshold": 1,      "keyword": "string",      "maxLatencyMs": 1,      "enabled": true,      "status": "up",      "statusSince": "2019-08-24T14:15:22Z",      "lastCheckedAt": "2019-08-24T14:15:22Z",      "lastStatusCode": 0,      "lastLatencyMs": 0,      "lastError": "string",      "uptime24h": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}